
QGIS Application - Bug report #9548

can't load as new layer from sql in dbmanager error

2014-02-12 02:49 PM - Nyall Dawson

Status: Closed

Priority: Severe/Regression

Assignee:

Category: DB Manager

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18135

Description

Since the recent change in syntax highlighting, it's impossible to retrieve columns or load a layer when "load as new layer" is ticked. The

error is:

File "C:/OSGeo4W/apps/qgis-dev/./python/plugins\\db_manager\\dlg_sql_window.py", line 202, in fillColumnCombos

    query = self.getSql()

AttributeError: 'DlgSqlWindow' object has no attribute 'getSql'

Associated revisions

Revision 57dd8779 - 2014-02-13 12:00 AM - Jürgen Fischer

dbmanager: fix 'load as new layer' (fixes #9548)

History

#1 - 2014-02-12 03:00 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"57dd8779acf0495088de4eca89fd5d0accc5e755".
